Subject: Re: [PATCH] DTC: Remove the need for the GLR Parser.

From: Jon Loeliger <[email-masked]>
Date: Tue, 23 Oct 2007 11:07:39 -0500

So, like, the other day Jon Loeliger mumbled:
> 
> > First, a trivial one: I remember leaving this as a right-recursion,
> > despite the stack-nastiness, because that way the properties end up in
> > the same order as in the source.  I think that behaviour is worth
> > preserving, but of course we can do it with left-recursion by changing
> > chain_property() to add to the end of the list instead of the
> > beginning.
> 
> Understood.  And I wrestled with that as well.  In fact, I even
> wrote the reverse_properties() function, which I will include,
> and used it initially.  However, several test failed.  So I
> removed it, and it all started happily working again.

I was confused.  It was the version of the code that _did_
use the property reversal that worked.

Even Milton's asm test with labels worked. :-)

jdl